'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _IndexingConfig = require('./IndexingConfig');

var _IndexingConfig2 = _interopRequireDefault(_IndexingConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _ava2.default)('Sum with Number', function (t) {
  var config = new _IndexingConfig2.default({
    field: 'price',
    method: 'sum'
  });

  t.is(_IndexingConfig2.default.build('payment_logs', { field: 'user_id' }, [config]).toString(), 'SELECT SUM(`indexed_value_0`) AS "indexed_value_0", `user_id` FROM payment_logs `matching_table` GROUP BY `user_id`');
});